<script setup>
import AuthenticatedLayout from "@/Layouts/AuthenticatedLayout.vue";
import { Head } from "@inertiajs/vue3";
import BookList from "@/Components/BookList.vue";
import { ref } from "vue";
import Pagination from "@/Components/Pagination.vue";
import Filters from "@/Components/Form/SearchFilter.vue";

defineProps({
    books: Object,
    filters: Object,
});

const routes = ref({
    index: "books.index",
    show: "books.show",
    edit: "books.edit",
    destroy: "books.destroy",
    destroyMany: "books.destroy-many",
});
</script>

<template>
    <Head title="Index" />

    <AuthenticatedLayout>
        <template #header>
            <h2
                class="font-semibold text-xl text-gray-800 dark:text-gray-200 leading-tight"
            >
                Book Index
            </h2>
        </template>
        <div
            class="relative overflow-x-auto shadow-md sm:rounded-lg mx-5 my-12"
        >
            <Filters :filters="filters" :searchRoute="routes.index" />
            <BookList :items="books" :routes="routes" />

            <div
                v-if="books.data.length"
                class="w-full flex justify-center my-8"
            >
                <Pagination :links="books.meta.links" />
            </div>
        </div>
    </AuthenticatedLayout>
</template>
